# backup.sh

Create incrimental backups using rsync and filesystem hardlinking.

requires: rsync, cron and a filesystem that is capable of hardlinking.

### Usage
```bash
./backup.sh <source dir> <destination dir>/<frequency> <number of backups to keep>
```
Setup backup strategy in `crontab -e`
```bash
@daily    /mnt/DOOM/BACKUPS/backup.sh  /home/bob/  /mnt/DOOM/BACKUPS/bob/daily    7   |  tee  -a  /mnt/DOOM/BACKUPS/bob/log.txt
@weekly   /mnt/DOOM/BACKUPS/backup.sh  /home/bob/  /mnt/DOOM/BACKUPS/bob/weekly   4   |  tee  -a  /mnt/DOOM/BACKUPS/bob/log.txt
@monthly  /mnt/DOOM/BACKUPS/backup.sh  /home/bob/  /mnt/DOOM/BACKUPS/bob/monthly  12  |  tee  -a  /mnt/DOOM/BACKUPS/bob/log.txt
```
